Bug 114753 - Remote applications don't appear in the "alt-tab" dialog
Remote applications don't appear in the "alt-tab" dialog
Product: Red Hat Linux
Classification: Retired
Component: metacity (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-02-02 07:56 EST by Bart van Kuik
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-25 16:57:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bart van Kuik 2004-02-02 07:56:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6a)
Gecko/20031015 Firebird/0.7+

Description of problem:
0) Start into X
1) telnet to a remote host
2) export display to host you're working on
3) type "xhost +" locally
4) start something, i.e. xclock remotely
5) the window of the application appears locally
6) press and hold alt-tab locally; the remote application does not appear

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
See description

Actual Results:  The remote application didn't appear in the "alt-tab"

Expected Results:  The remote application should appear in the
"alt-tab" dialog

Additional info:
Comment 1 Havoc Pennington 2004-05-25 16:57:02 EDT
I think the issue here is that xclock doesn't appear in alt+tab,
because xclock is a client that doesn't accept keyboard focus. Thus
alt+tab to it would not make sense.

Reopen if you can reproduce with something other than xclock.

Note You need to log in before you can comment on or make changes to this bug.